[package]
name = "cinrad_g"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html


[dependencies]
cairo-rs = { version = "0.17.0", features = ["xlib"] }
glib = "0.17.9"
gtk = { version = "0.6.6", package = "gtk4", features = ["v4_8"] }

# gtk = "0.15.5"

geo-types = "0.7.9"
shapefile = { version = "0.4", features = ["geo-types"] }
thiserror = "1.0.40"
num-traits = "0.2.15"
npyz = { version = "0.8.0", features = ["npz"] }
ndarray = { version = "0.15.6", features = ["rayon"] }
quadtree_rs = "0.1.2"
proj-sys = "0.23.1"
glib-macros = "0.17.10"
svg = "0.13.1"
libloading = "0.8.0"
glue = "0.8.7"
epoxy = "0.1.0"
femtovg = "0.7.1"
glow = "0.12.2"
proj = "0.27.2"
image = "0.24.7"
anyhow = "1.0.72"
proj5 = { version = "0.1.7", features = ["multithreading"] }
relm4 = "0.6.1"
relm4-components = "0.6.1"



[build-dependencies]
glib-build-tools = "0.17.0"

[dependencies.geo-macros]
path = "geo-macros"
